%define upstream_name    Test-XML-Ordered
%define upstream_version 0.0.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Compare two XML files for equivalency, in an ordered
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::LibXML::Reader)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This module is a test module which compares two XML files for equivalence
in an ordered fashion. It was written after I (= Shlomi Fish) realised that
the XML::SemanticDiff manpage, which is the basis for the Test::XML
manpage, and which I maintain, compares two XML files for equivalence in a
"semantic" fashion where elements can be present in several possible
orders. (It does not always do the right thing with this respect, but even
if it did, it is not normally what I want.).

Other advantages of Test::XML::Ordered are:

* * Based on XML::LibXML instead of XML::Parser.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.0.2-2.mga3
+ Revision: 373915
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 shlomif <shlomif> 0.0.2-1.mga3
+ Revision: 336203
- imported package perl-Test-XML-Ordered

